# sfepy.tests.test_dg_terms_calls module

Test all terms in terms_dg. Performs numerical test on simple mesh.

class sfepy.tests.test_dg_terms_calls.DGTermTestEnvornment(dim, approx_order, **kwargs)

  Class for easy creation of all the data needed for testing terms.

  burg_fun(u)
  burg_fun_d(u)
  prepare_materials(field, velo=1.0, diffusion=0.1, penalty=100)

    Crates material objects with data attribute, containing properly shaped data to pass to terms

    Parameters:

      - field – DGField

      - velo – optional values for velocity a

      - diffusion – optional value for diffusion tensor D

      - penalty – optional value for diffusion penalty Cw

    Returns:

      a, D, Cw

  prepare_variables(field)

    Prepares state and test variables, adds empty eq_map to state variable

    Parameters:

      field

    Returns:

      state, test

class sfepy.tests.test_dg_terms_calls.TestAdvectDGFluxTerm
  test_function_explicit_1D(dg_test_env)
  test_function_implicit_1D(dg_test_env)

class sfepy.tests.test_dg_terms_calls.TestDiffusionDGFluxTerm
  test_function_explicit_left_1D(dg_test_env)
  test_function_explicit_right_1D(dg_test_env)
  test_function_implicit_left_1D(dg_test_env)
  test_function_implicit_right_1D(dg_test_env)

class sfepy.tests.test_dg_terms_calls.TestDiffusionInteriorPenaltyTerm
  test_function_explicit_1D(dg_test_env)
  test_function_implicit_1D(dg_test_env)

class sfepy.tests.test_dg_terms_calls.TestNonlinScalarDotGradTerm
  test_function_explicit_1D(dg_test_env)

class sfepy.tests.test_dg_terms_calls.TestNonlinearHyperDGFluxTerm
  test_function_explicit_1D(dg_test_env)

sfepy.tests.test_dg_terms_calls.dg_test_env(request)